import normalizeComponentList from "./normalizeComponentList";
/**
 * Normalize an archetype by sorting the component names it references.
 */
const normalizeArchetype = (archetype) => ({
    all: archetype.all ? normalizeComponentList(archetype.all) : undefined,
    any: archetype.any ? normalizeComponentList(archetype.any) : undefined,
    none: archetype.none ? normalizeComponentList(archetype.none) : undefined
});
export default normalizeArchetype;
